import math

import axipy

from ru_rubtsov_axioma_topo_tools.toolprocessing.FindAngleLimite import correctLimAngle

name_table="Test1Angle"
name_table="Test3Angle"
name_table="Test0Angle"
name_table="Test1Angle"
tab=axipy.app.mainwindow.catalog.find(name_table)
geo=list(tab.items())[0].geometry
new_geo=correctLimAngle(geo,math.radians(10.5))
if new_geo is not None:
    ft=list(tab.items())[0]
    ft.geometry=new_geo
    tab.update([ft])